Skip to main content
Resource Center/Network Service/Network Service Operations/NetFlow APIs

QueryVRouterFlowMeterNetwork

QueryVRouterFlowMeterNetwork

GET/zstack/v1/flowmeters/networks
GET/zstack/v1/flowmeters/networks/{uuid}

Operation ID

QueryVRouterFlowMeterNetwork

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The resource UUID.

    • vRouterUuid
      StringRequired

      The vRouter UUID.

    • flowMeterUuid
      StringRequired

      The flow meter UUID.

    • l3NetworkUuid
      StringRequired

      The L3 network UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.